exports.authProtected = (req, res, next) => {

  // Extra check to make sure this isn't performed on the login page
  doNotProtect = ['/auth/login'];
  if (doNotProtect.includes(req.path)) {
    return next();
  }

  if (!('ldap_bind_dn' in req.session)) {
    return res.redirect('/auth/login');
  } else {
    return next();
  }

};
